package question17

import (
	"flag"
	"os"
	"testing"
)

var fname string = "graph.nde"
var dotfname string = ""

func TestMain(m *testing.M) {
	flag.StringVar(&fname, "graph", "graph.nde", "set graph file name")
	flag.Parse()
	os.Exit(m.Run())
}

func TestGraph(t *testing.T) {
	g := ReadGraph(fname)
	dist := make([]int, g.Order)
	g.BFS_dist(0, dist)
	t.Log(dist)
}
